#include "common.h"

/* here: use NCPS0 @ PA31: */
#define NCPS_PDR_BIT     (AT91C_PA31_NPCS1 | AT91C_PA11_NPCS0)
#define NCPS_ASR_BIT     (AT91C_PA31_NPCS1 | AT91C_PA11_NPCS0)
#define NCPS_BSR_BIT     0
          

#define SPI_SCBR_MIN     2

#define CARD_D			 AT91C_PA19
#define WP				 AT91C_PA23


/* PCS_0 for NPCS0, PCS_1 for NPCS1 ... */
#define PCS_0 ((0<<0)|(1<<1)|(1<<2)|(1<<3))
#define PCS_1 ((1<<0)|(0<<1)|(1<<2)|(1<<3))
#define PCS_2 ((1<<0)|(1<<1)|(0<<2)|(1<<3))
#define PCS_3 ((1<<0)|(1<<1)|(1<<2)|(0<<3))


#define ETH_CS						PCS_0
#define ETH_CSR						0

#define MMC_CS						PCS_1
#define MMC_CSR						1

#define NOPCS						0xf

void spiCsSelect(u08 cs);
/*void SPI_Init(void);
*/
unsigned char SpiSendByte(const unsigned char data);

void init_spi(void);
void spiSetSpeed(u08 speed, u08 csr);
